#include <stdio.h>
#include <stdlib.h>
#include <stdbool.h>
#define MAX 26


typedef struct cell* ptarbre;
typedef struct cell* ptcellule;

typedef struct cell {
  char lettre;
  ptarbre fils; // Descend d'un étage dans le mot (lettre suivante du mot)
  ptcellule suivant; // Lettre suivante stockée à l'étage arbre en (ieme position)
  bool fin_mot;
} cell;


ptarbre rech(ptarbre arbre_ori, char lettre);

void init_dico(ptarbre* parbre, char lettre);

void ajout_dico_tete(ptarbre *parbre, char lettre);

void ajout_dico(ptarbre *parbre, ptarbre *parbresuiv, char lettre);

void affiche_dico(ptarbre arbre, int n_lettre, char mot[]);

void free_tree(cell **ptr_tree);

void print_suiv(ptarbre arbre);

void cons_arbre(ptarbre *parbre_originel, ptarbre *parbre, ptarbre *parbre_prec, FILE* fp);

void compare(cell *pliste1,char *,int *fautes);

void lecture_mot(cell *pliste,FILE *fichier,int *fautes);

bool caractere_stop(char c);
